CREATE TABLE fnd_ca_device_fact (
    SEQ_ID               NUMBER(18, 0) ,
    TIMELINE_ID          VARCHAR2(1024)    NOT NULL,
    PAGE_GROUPING_ID     VARCHAR2(1024)    NOT NULL,
    ENV_ID               VARCHAR2(1024)    NOT NULL,
    DEVICE_ID            VARCHAR2(1024)    NOT NULL,
    DEVICE_PAGE_VIEWS    NUMBER(30, 0) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    SEQ_ID               NUMBER(18, 0) ,
    TIMELINE_ID          VARCHAR2(1024)    NOT NULL,
    PAGE_GROUPING_ID     VARCHAR2(1024)    NOT NULL,
    ENV_ID               VARCHAR2(1024)    NOT NULL,
    DEVICE_ID            VARCHAR2(1024)    NOT NULL,
    DEVICE_PAGE_VIEWS    NUMBER(30, 0) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    CONSTRAINT pk_fnd_ca_device_fact PRIMARY KEY (SEQ_ID, SEQ_ID)
);
